# $Revision: 1.16 $, $Date: 2010/06/04 13:31:44 $
#
# jquery plugins
%define		field_ver	0.9.2
%define		form_ver	2.18

Summary:	jQuery JavaScript Library
Summary(pl.UTF-8):	Biblioteka JavaScriptu jQuery
Name:		jquery
Version:	1.4.2
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	http://code.jquery.com/%{name}-%{version}.min.js
# Source0-md5:	10092eee563dec2dca82b77d2cf5a1ae
Source1:	http://plugins.jquery.com/files/%{name}.field.%{field_ver}.zip
# Source1-md5:	1bd5d766f79034904a07ddbbab5cb27a
Source2:	http://plugins.jquery.com/files/%{name}.form.js_0.txt
# Source2-md5:	8720eac9985a6b33e4f4087f2e01ce23
Source3:	http://marcgrabanski.com/code/ui-datepicker/core/core.ui.datepicker.zip
# Source3-md5:	46967b9c5ee626697b977e2909fb00b1
Source4:	http://www.mikage.to/jquery/%{name}.history.js
# Source4-md5:	57da738db33bc631da21aa294746e4da
Patch0:		%{name}.history.konqueror.patch
URL:		http://www.jquery.com/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	webserver(access)
Requires:	webserver(alias)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{name}

%description
jQuery is a fast, concise, JavaScript Library that simplifies how you
traverse HTML documents, handle events, perform animations, and add
Ajax interactions to your web pages.

jQuery is designed to change the way that you write JavaScript.

This package also provides following jQuery plugins:
- jquery.field v%{field_ver},
- jquery.form v%{form_ver}

%description -l pl.UTF_8
jQuery to szybka biblioteka Javascriptu upraszczająca przetwarzanie
dokumentów HTML, obsługę zdarzeń, animacji oraz akcji AJAX w serwisach
internetowych.

jQuery został zaprojektowany tak, by zmienić sposób pisania kodu w
JavaScripcie.

Pakiet ten dostarcza także dodatkowe wtyczki jQuery:
- jquery.field v%{field_ver},
- jquery.form v%{form_ver}

%prep
%setup -qcT -a1 -a3
cp -a %{SOURCE0} query.js
cp -a %{SOURCE4} .
%patch0 -p1

# apache1/apache2 conf
cat > apache.conf <<'EOF'
Alias /js/jquery %{_appdir}
# legacy
Alias /jquery %{_appdir}
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

# lighttpd conf
cat > lighttpd.conf <<'EOF'
alias.url += (
    "/js/jquery" => "%{_appdir}",
	# legacy
    "/jquery" => "%{_appdir}",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/plugins
# core
cp -a jquery.js $RPM_BUILD_ROOT%{_appdir}/jquery.js

# plugins

# http://plugins.jquery.com/project/field, MIT/GPL v0.7
cp -a jquery.field.min.js $RPM_BUILD_ROOT%{_appdir}/plugins/field.js

# http://plugins.jquery.com/project/form, MIT/GPL v2.04
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_appdir}/plugins/form.js

# http://www.mikage.to/jquery/jquery_history.html, MIT
cp -a jquery.history.js $RPM_BUILD_ROOT%{_appdir}/plugins/history.js

# http://malsup.com/jquery/form/
# TODO

# http://marcgrabanski.com/pages/code/jquery-ui-datepicker, MIT/GPL v3.4.3
cp -a ui.datepicker.{js,css} $RPM_BUILD_ROOT%{_appdir}/plugins

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc field.plugin.htm
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%dir %{_appdir}
%{_appdir}/*.js
%dir %{_appdir}/plugins
%{_appdir}/plugins/*.js
%{_appdir}/plugins/*.css

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jquery.spec,v $
Revision 1.16  2010/06/04 13:31:44  glen
- typo

Revision 1.15  2010/05/27 10:25:53  glen
- up to 1.4.2

Revision 1.14  2010/05/05 15:15:54  glen
- default webserver alias /js/jquery; rel 2

Revision 1.13  2010/04/20 05:42:23  glen
- release 1

Revision 1.12  2009/04/11 11:28:07  charles
- BR: unzip

Revision 1.11  2009/04/06 10:35:15  glen
- fix md5

Revision 1.10  2009/04/06 09:53:58  glen
- add jquery.history

Revision 1.9  2009/04/06 09:48:51  glen
- added ui.datepicker

Revision 1.8  2009/03/16 19:54:47  qboosh
- pl fixes, unified

Revision 1.7  2009/02/22 11:16:12  adamg
- updated to 1.3.2
- pl summary/description
- field plugin updated to 0.9.2
- form plugin updated to 2.18
- ui.datepicker seem to be merged into jquery-ui
- release 0.1

Revision 1.6  2008/11/19 11:13:42  glen
- release 3

Revision 1.5  2008/09/30 14:53:20  glen
- webapps integration; rel 2

Revision 1.4  2008/08/01 08:11:59  glen
- update to 1.2.6

Revision 1.3  2008-06-03 15:09:49  glen
- add ui.datepicker

Revision 1.2  2008-02-19 14:38:58  glen
- add form and field plugins

Revision 1.1  2008-02-19 14:25:35  glen
- new
